<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        label {
            margin: 10px;
            font-weight: bold;
            display: inline-block;
            width: 80px;
        }

        input,
        button {
            margin: 5px;
        }

        button {
            font-weight: bold;
            background-color: #ccc;
            padding: 5px;
        }

        div.nombreEntero,
        div.iniciales {
            background-color: #ccc;
            font-weight: bold;
            width: 200px;
            text-align: center;
            color: blue;

        }
    </style>
</head>

<body>
    <form action="#">
        <div>
            <label for="nombre">Nombre: </label>
            <input type="text" name="nombre" id="nombre">
        </div>
        <div>
            <label for="apellidos">Apellidos: </label>
            <input type="text" name="apellidos" id="apellidos">
        </div>
        <button type="button" onclick="convertir()">Calcular</button>
    </form>
    <p>Aqui se coloca el nombre con los apellidos</p>
    <div class="nombreEntero"></div>
    <p>Aqui se coloca el primer caracter del nombre un punto, el primer caracter del apellido y otro punto</p>
    <div class="iniciales"></div>
    <script src="2.js"></script>
</body>

</html>